<!DOCTYPE html>
<html>
	<head>
		<title>ServiceNow Angular Modal App</title>
		<link rel="stylesheet" type="text/css" href="assets/css/modalapp.css">
	</head>

	<body ng-app="app">
		<!-- 2 way binded modal view-->
		<div ng-controller="SNModalController">
			<p>
				<h1>2 Way bind Modal Window Example</h1>
			</p>
			<label for="uBodyText">Enter text that can be edited in modal window</label>
			<input type="text" id="uBodyText" ng-model="snModalBody.text"/>
			<p><button aria-label="Click to open 2 way bind modal window" ng-click="open('sn-modal-1')">Click to open modal window</button></p>
			<div sn-modal header-title="2 way binded modal window" close-caption="Close" submit-caption="Submit" modal-template-path="app/templates/modal-1-Template.html" id="sn-modal-1" sn-modal-body="snModalBody"></div>
		</div>

		<!-- Confirm modal yes/no modal view-->

		<div ng-controller="SNConfirmModalController">
			<p>
				<h1>Confirm Modal Window Example</h1>
			</p>
			<p><button aria-label="Click to open confirm modal window" ng-click="open('sn-modal-2')">Click to open modal window</button></p>
			<div sn-modal header-title="Confirm modal window" close-caption="No" submit-caption="Yes" modal-template-path="app/templates/modal-2-Template.html" id="sn-modal-2" sn-modal-body="snModalBody"></div>

		</div>

		<!-- Warning modal Agree/Disagree modal view-->

		<div ng-controller="SNWarningModalController">
			<p>
				<h1>Warning Modal Window Example</h1>
			</p>
			<p><button aria-label="Click to open warning modal window" ng-click="open('sn-modal-3')">Click to open modal window</button></p>
			<div sn-modal header-title="Warning modal window" close-caption="Disagree" submit-caption="Agree" modal-template-path="app/templates/modal-3-Template.html" id="sn-modal-3" sn-modal-body="snModalBody"></div>

		</div>


		<!-- Dynamic items modal view-->

		<div ng-controller="SNDynamicItemsModalController">
			<p>
				<h1>Dynamic Items Modal Window Example</h1>
			</p>
			<p><button aria-label="Click to open dynamic items modal window" ng-click="open('sn-modal-4')">Click to open modal window</button></p>
			<div sn-modal header-title="Dynamic Items modal window" close-caption="Cancel" submit-caption="Ok" modal-template-path="app/templates/modal-4-Template.html" id="sn-modal-4" sn-modal-body="snModalBody"></div>

		</div>

		<!-- load the scripts at the end-->
		<script src="./assets/libs/angular.min.js" type="text/javascript"></script>
		<script src="./assets/libs/angular-aria-min.js" type="text/javascript"></script>
		<script src="app.js"></script>
		<script src="./services/ModalService.js"></script>
		<script src="./controllers/ModalController.js"></script>
		<script src="./controllers/SNConfirmModalController.js"></script>
		<script src="./controllers/SNWarningModalController.js"></script>
		<script src="./controllers/SNDynamicItemsModalController.js"></script>
		<script src="./directives/ModalDirective.js"></script>

		<!-- master template for the modal window. If running inside a webserver, this would be ideally be inside app/templates folder-->
		<script type="text/ng-template" id="app/templates/modalMasterTemplate.html">
			<div>
				<div class="modal-header">
					<span class="close">&times;</span>
					<h4> {{ modalHeaderTitle || 'Modal Header'}}</h4>
				</div>
				<!-- developer passing the modal template will be injected inside model-body, this can be achieved using tranclude also-->
				<div class="modal-body">
				</div>

				<div class="modal-footer">
					
					<button class="btn-default" type="button">{{modalCloseButtonCaption || 'Close'}}</button>

					<button class="btn-primary" type="button">{{modalSubmitButtonCaption || 'Submit'}}</button>

				</div>
			</div>
		</script>

		<!-- template for 2 way binding modal-->
		<script type="text/ng-template" id="app/templates/modal-1-Template.html">
			<div style="padding: 20px">
				<label for="uModalBodyText">Modify the text here</label>
				<input type="text" role="textbox" id="uModalBodyText" ng-model="snModalBody.text"/>
			</div>
		</script>

		<!-- template for confirm modal -->
		<script type="text/ng-template" id="app/templates/modal-2-Template.html">
			<div style="text-align:center; padding:20px">
				{{ snModalBody.questionText }}
			</div>
		</script>

		<!-- template for warning modal -->
		<script type="text/ng-template" id="app/templates/modal-3-Template.html">
			<div style="text-align:center; padding:20px">
				<img ng-src="./assets/img/Warning-32.png" alt="Warning" height="32" width="32" style="vertical-align: middle;">
				<span style="vertical-align: middle;">{{ snModalBody.warningText }}</span>
			</div>
		</script>

		<!-- template for dynamic text modal -->
		<script type="text/ng-template" id="app/templates/modal-4-Template.html">
			<div style="padding:20px">
				<button aria-label="Click to add more items" ng-click="snModalBody.addItem()">Add Item</button>
				<span class="error">{{ snModalBody.errorText }}</span>
				<ul>
					<li ng-repeat-start="item in snModalBody.items" ng-repeat-end>{{ item }}</li>
				</ul>
			</div>
		</script>
	</body>

</html>